summaryrefslogtreecommitdiffstats
path: root/jjb
diff options
context:
space:
mode:
authorAndrew Grimberg <agrimberg@linuxfoundation.org>2017-07-12 22:46:44 +0000
committerGerrit Code Review <gerrit@onap.org>2017-07-12 22:46:44 +0000
commit3b31ed323f50edc0e2dec03f21cea540084a53ec (patch)
treeb3f72d0c556a8817309e9c8258d10f3abca17406 /jjb
parentf55b84d409af1f218aff30ff4d418fe60d5eb1f5 (diff)
parentfab2c44718f41066602abca2d29bd8100064d3df (diff)
Merge "Add Robot installation script"
Diffstat (limited to 'jjb')
-rw-r--r--jjb/integration/include-raw-integration-install-robotframework.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/jjb/integration/include-raw-integration-install-robotframework.sh b/jjb/integration/include-raw-integration-install-robotframework.sh
new file mode 100644
index 000000000..f528a62a5
--- /dev/null
+++ b/jjb/integration/include-raw-integration-install-robotframework.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+##############################################################################
+# Copyright (c) 2016 The Linux Foundation and others.
+##############################################################################
+
+ROBOT_VENV=$(mktemp -d --suffix=robot_venv)
+echo "ROBOT_VENV=${ROBOT_VENV}" >> "${WORKSPACE}/env.properties"
+
+# The --system-site-packages parameter allows us to pick up system level
+# installed packages. This allows us to bake matplotlib which takes very long
+# to install into the image.
+virtualenv --system-site-packages "${ROBOT_VENV}"
+source "${ROBOT_VENV}/bin/activate"
+
+set -exu
+
+# Make sure pip itself us up-to-date.
+pip install --upgrade pip
+
+pip install --upgrade --no-binary pycparser pycparser
+pip install --upgrade docker-py importlib requests scapy netifaces netaddr ipaddr simplejson demjson
+pip install --upgrade robotframework{,-{httplibrary,requests,sshlibrary,selenium2library}}
+
+# Print installed versions.
+pip freeze
+
+# vim: sw=4 ts=4 sts=4 et ft=sh :